Update ingress protection mode
PUT
/projects/{id}/ingresses/{ingressId}/protection
const url = 'https://example.com/projects/example/ingresses/example/protection';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"mode":"none","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/projects/example/ingresses/example/protection \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "mode": "none", "password": "example" }'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
ingressId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
mode
required
string
password
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
openPaths
Array<string>
protectionBypassSecret
required
string | null
protectionMode
required
string
key
additional properties
Example
{ "protectionMode": "none"}